# Project Explorer view

The Project Explorer view displays, in a tree structure similar to the C/C++ Projects view, but it is not limited to C and C++ projects. In this view you can do the following:

- Browse the elements of C/C++ source files
- Open files in the editor view
- Open projects in a new window
- Create new projects, classes, files, or folders
- Manage existing files (cut, paste, delete, move or rename)
- Restore deleted files from local history
- Import or Export files and projects

Files that you select in the Project Explorer view affect the information that is displayed in other views.

## Toolbar

Icon | Name | Description
--- | --- | ---
| Minimize | Minimizes the view.
| Maximize | Maximizes the view.
| Collapse All | This command collapses the tree expansion state of all resources in the view.
| Link with Editor | This command toggles whether the view selection is linked to the active editor. When this option is selected, changing the active editor will automatically update the selection to the resource being edited.

Menu

Click the black upside-down triangle icon to open a menu of items specific to the view.

Top Level Elements
  Choose whether to show working sets or projects as top level elements. Chosing working sets allows easy grouping of projects in large workspaces.

Select Working Set
  Opens the Select Working Set dialog to allow selecting a working set for the view.

Deselect Working Set
  Deselects the current working set.

Edit Active Working Set
  Opens the Edit Working Set dialog to allow changing the current working set.

Customize View
  This command allows customization of view filters and content modules. The previous will allow you to supress the display of certain types of files while the later will allow entirely new types of content to be shown in the view.

Link Editor
  See the toolbar item description above.

The Project Explorer view is provided by the Eclipse Platform. See the Workbench User Guide for more information.

## Project Explorer view icons

The table below lists the icons displayed in the Project Explorer view for C/C++ content.

Icon | Description
| C or C++ file
| Class
| Macro Definition
| Enum
| Enumerator
| Variable
| Field private
| Field protected
| Field public
| Include
| Makefile
| Method private
| Method protected
| Method public
| Namespace
| Struct
| Type definition
| Union
| Function

Project file views

Displaying C/C++ file components in the Project Explorer view
Hiding files by type in the Project Explorer view